Which web browser do I use?

From Spiffy Stores Knowledge Base

Jump to: navigation, search

Contents

Viewing your Store

Your customers will be able to view your online store using any modern web browser, such as Internet Explorer, Firefox, Safari, Google Chrome and Opera.

Using your Toolbox to Manage your Store

Firefox

To get the best out of your Spiffy Stores Toolbox, we recommend that you install or upgrade to the latest version of of Firefox. We currently develop Spiffy Stores using Firefox 21.0, so you can be assured of the best browser experience if you also use this browser.

You can get it from http://getfirefox.com

Internet Explorer

We support Internet Explorer 8 and higher for accessing the Spiffy Stores Toolbox. We do not support older versions, and we recommend that you upgrade to the latest version (either 10 or 11), or switch to another browser, such as Firefox or Safari.

If you are using Internet Explorer 7, some areas of the Toolbox will not display correctly, and may end up breaking parts of your store. We recommend that you upgrade to Internet Explorer 10 or 11 as soon as possible.

Internet Explorer 7 also has multiple security vulnerabilities that mean that hackers can get access to your store login, which gives them access to credit card information. For this reason we have blocked all users using IE7 from logging in.

You can get the latest version of Internet Explorer from http://ie.microsoft.com/testdrive/Info/Downloads/Default.html

Safari

For Mac and Windows users, we support Safari Version 5.0 and higher.

You can get this browser from http://www.apple.com/safari/download/

Google Chrome

We also support Google Chrome Version 11.0.696.71 or higher.

You can get this browser from http://www.google.com/chrome/